GNU bug report logs - #12068
24.1; customizing debug-on-error to nil disables --debug-init

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Dave Abrahams <dave@HIDDEN>; Keywords: wontfix; dated Fri, 27 Jul 2012 14:18:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 12068 <at> debbugs.gnu.org:


Received: (at 12068) by debbugs.gnu.org; 1 Feb 2014 08:06:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 01 03:06:39 2014
Received: from localhost ([127.0.0.1]:43838 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W9Vb4-0006qd-BO
	for submit <at> debbugs.gnu.org; Sat, 01 Feb 2014 03:06:39 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:34607)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <larsi@HIDDEN>) id 1W9Vb0-0006qT-Ju
 for 12068 <at> debbugs.gnu.org; Sat, 01 Feb 2014 03:06:35 -0500
Received: from [204.14.154.233] (helo=building.gnus.org)
 by hermes.netfonds.no with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <larsi@HIDDEN>)
 id 1W9Val-0002Xj-F7; Sat, 01 Feb 2014 09:06:19 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#12068: 24.1;
 customizing debug-on-error to nil disables --debug-init
References: <m2y5m5cn1x.fsf@HIDDEN>
 <4qr4rox4t5.fsf@HIDDEN> <djy5lwq3f4.fsf@HIDDEN>
 <m2ipd08z09.fsf@HIDDEN>
 <fqehnng2mn.fsf@HIDDEN>
Date: Sat, 01 Feb 2014 00:05:27 -0800
In-Reply-To: <fqehnng2mn.fsf@HIDDEN> (Glenn Morris's message of
 "Fri, 03 Aug 2012 16:08:16 -0400")
Message-ID: <8761ozntq0.fsf@HIDDEN>
User-Agent: Gnus/5.13001 (Ma Gnus v0.10) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1W9Val-0002Xj-F7
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1391846781.1502@C8evkZ4sGK+Tl11Nc8AbMg
X-Spam-Status: No
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 12068
Cc: Dave Abrahams <dave@HIDDEN>, 12068 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Glenn Morris <rgm@HIDDEN> writes:

> Dave Abrahams wrote:
>
>> What do you think people will do when they've set it to non-nil and then
>> they get annoyed that they're always dropping into the debugger and
>> really want to turn it back off so it sticks?
>
> I recommend "erase customization" rather than toggling.
>
> I don't think it's worth implementing special handling for this
> scenario, so I have marked this as "wontfix".

Does it even make sense to have `debug-on-error' be a `defcustom'?
I don't think anybody would actually customize `debug-on-error' to `nil'
(or anything else, for that matter) on purpose, would they?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12068; Package emacs. Full text available.

Message received at 12068 <at> debbugs.gnu.org:


Received: (at 12068) by debbugs.gnu.org; 3 Aug 2012 20:30:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 03 16:30:51 2012
Received: from localhost ([127.0.0.1]:59959 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SxOWJ-0002FI-7p
	for submit <at> debbugs.gnu.org; Fri, 03 Aug 2012 16:30:51 -0400
Received: from mail-vc0-f172.google.com ([209.85.220.172]:46511)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dave@HIDDEN>) id 1SxOWH-0002FA-4c
	for 12068 <at> debbugs.gnu.org; Fri, 03 Aug 2012 16:30:50 -0400
Received: by vcbfo14 with SMTP id fo14so1297384vcb.3
	for <12068 <at> debbugs.gnu.org>; Fri, 03 Aug 2012 13:23:11 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
	d=google.com; s=20120113;
	h=from:to:cc:subject:references:date:in-reply-to:message-id
	:user-agent:mime-version:content-type:x-gm-message-state;
	bh=6R96FJ3gWWAgvJs+TmrwvtV4IVECKTDAEjUr1Tjt82Q=;
	b=i2U59iawMVpIKIuQmaHZUfIyHm0YElJ41m2/3VNflr8FD41eB7gty7oTR1C/VYB6vB
	cdtal8KYTQhx+3kyDFUTUn59VwP90N02yea5YRTv2CjocmXShuZU999Mfk/zy2LJJkDP
	kocGaTtpcIT+lZUUoVyX8L/SNCo2f8WXpdKChbrHHr/mE+a6AMFoPysad58ArxT+be5/
	TkX3CxYb48cvuIUdUx1hra8TcXSoLg8oOMalMiUpLQzRB3YKP6WDZPvciyDd8gAmC1Vx
	ndOdX8nGk1pw8EO4WH/WUZtRQJxuVzCRFA8ARh8klAKbhvGLkQ3cy+4OAtEViWrr/6cJ
	PsPQ==
Received: by 10.52.100.165 with SMTP id ez5mr1991989vdb.108.1344025391030;
	Fri, 03 Aug 2012 13:23:11 -0700 (PDT)
Received: from pluto.luannocracy.com
	(207-172-223-249.c3-0.smr-ubr3.sbo-smr.ma.static.cable.rcn.com.
	[207.172.223.249])
	by mx.google.com with ESMTPS id c17sm9637891vdj.11.2012.08.03.13.23.08
	(version=TLSv1/SSLv3 cipher=OTHER);
	Fri, 03 Aug 2012 13:23:09 -0700 (PDT)
Received: by pluto.luannocracy.com (Postfix, from userid 501)
	id 6DC945D9F5F5; Fri,  3 Aug 2012 16:23:07 -0400 (EDT)
From: Dave Abrahams <dave@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#12068: 24.1;
	customizing debug-on-error to nil disables --debug-init
References: <m2y5m5cn1x.fsf@HIDDEN>
	<4qr4rox4t5.fsf@HIDDEN> <djy5lwq3f4.fsf@HIDDEN>
	<m2ipd08z09.fsf@HIDDEN>
	<fqehnng2mn.fsf@HIDDEN>
Date: Fri, 03 Aug 2012 16:23:07 -0400
In-Reply-To: <fqehnng2mn.fsf@HIDDEN> (Glenn Morris's message of
	"Fri, 03 Aug 2012 16:08:16 -0400")
Message-ID: <m2zk6b67ys.fsf@HIDDEN>
User-Agent: Gnus/5.130006 (Ma Gnus v0.6) Emacs/24.1 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Gm-Message-State: ALoCoQl9QgKbJK8puv7Nkq9XaFjrShq0zgQwik4pZhB/5RAD0dg7dugmrhBPMzWCO+njZuQmDwEc
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 12068
Cc: 12068 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)


on Fri Aug 03 2012, Glenn Morris <rgm-AT-gnu.org> wrote:

> Dave Abrahams wrote:
>
>> What do you think people will do when they've set it to non-nil and then
>> they get annoyed that they're always dropping into the debugger and
>> really want to turn it back off so it sticks?
>
> I recommend "erase customization" rather than toggling.

Well of course I know that now.

> I don't think it's worth implementing special handling for this
> scenario, so I have marked this as "wontfix".

Too bad.

-- 
Dave Abrahams
BoostPro Computing                  Software Development        Training
http://www.boostpro.com             Clang/LLVM/EDG Compilers  C++  Boost




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12068; Package emacs. Full text available.

Message received at 12068 <at> debbugs.gnu.org:


Received: (at 12068) by debbugs.gnu.org; 3 Aug 2012 20:15:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 03 16:15:59 2012
Received: from localhost ([127.0.0.1]:59951 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SxOHu-0001tu-CS
	for submit <at> debbugs.gnu.org; Fri, 03 Aug 2012 16:15:59 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:51180)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1SxOHr-0001tm-Rh
	for 12068 <at> debbugs.gnu.org; Fri, 03 Aug 2012 16:15:56 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1SxOAT-00032s-3S; Fri, 03 Aug 2012 16:08:17 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Dave Abrahams <dave@HIDDEN>
Subject: Re: bug#12068: 24.1;
	customizing debug-on-error to nil disables --debug-init
References: <m2y5m5cn1x.fsf@HIDDEN>
	<4qr4rox4t5.fsf@HIDDEN> <djy5lwq3f4.fsf@HIDDEN>
	<m2ipd08z09.fsf@HIDDEN>
X-Spook: PLO Bletchley Park Clinton insurgency assassinate CDC
X-Ran: 6pjsLfn66@jr{)x7y^[2dVVd|n_,S.,[Ljm0u'T:o:k+Yj\ja1T#(wt.;4lEW-W=NhnNtS
X-Hue: cyan
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Fri, 03 Aug 2012 16:08:16 -0400
In-Reply-To: <m2ipd08z09.fsf@HIDDEN> (Dave Abrahams's message
	of "Thu, 02 Aug 2012 22:56:06 -0400")
Message-ID: <fqehnng2mn.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: 12068
Cc: 12068 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

Dave Abrahams wrote:

> What do you think people will do when they've set it to non-nil and then
> they get annoyed that they're always dropping into the debugger and
> really want to turn it back off so it sticks?

I recommend "erase customization" rather than toggling.

I don't think it's worth implementing special handling for this
scenario, so I have marked this as "wontfix".




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12068; Package emacs. Full text available.

Message received at 12068 <at> debbugs.gnu.org:


Received: (at 12068) by debbugs.gnu.org; 3 Aug 2012 03:03:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 02 23:03:47 2012
Received: from localhost ([127.0.0.1]:57875 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Sx8B0-0000tM-Ro
	for submit <at> debbugs.gnu.org; Thu, 02 Aug 2012 23:03:47 -0400
Received: from mail-vb0-f44.google.com ([209.85.212.44]:54220)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dave@HIDDEN>) id 1Sx8Ax-0000tC-EY
	for 12068 <at> debbugs.gnu.org; Thu, 02 Aug 2012 23:03:44 -0400
Received: by vbbez10 with SMTP id ez10so280959vbb.3
	for <12068 <at> debbugs.gnu.org>; Thu, 02 Aug 2012 19:56:09 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
	d=google.com; s=20120113;
	h=from:to:cc:subject:references:date:in-reply-to:message-id
	:user-agent:mime-version:content-type:content-transfer-encoding
	:x-gm-message-state;
	bh=mYN4V+yFr7r9EiD/6HzqfR/ODwU7biOoKJdwSCGcPDA=;
	b=psuXrbgmC/+QEFQUKgZ5rHBhbmZCQpeMppNVrECuWyY7Ko07eAisQ8/btnYJNrhbfr
	NzjBkP8MPGYzPEYsqTtmWp17/cOIeswV3GvJFywKV03ggUCdlptx20HIFSnrKSyZr2+e
	UDbj9aGshed3szXLscON179ghSi0qTywaUdd5/HnFqArl6xhD3LnM2Qt/BGug0gAEkzU
	dgfE/0hGcZ/k7llCviwczj7hYzFgQ7j7BjHQlx3JEruIv+2eZB9MfLWbAoCpkNhmzahY
	HuzMLQQfZlPUEgY82w7747odJ2T3VMn0Qz0jvaEmdXJlT9S5h5G88XxGPLgWu9VNefyA
	wajQ==
Received: by 10.58.68.163 with SMTP id x3mr133971vet.41.1343962569458;
	Thu, 02 Aug 2012 19:56:09 -0700 (PDT)
Received: from pluto.local
	(207-172-223-249.c3-0.smr-ubr3.sbo-smr.ma.static.cable.rcn.com.
	[207.172.223.249])
	by mx.google.com with ESMTPS id l12sm7655469vdh.8.2012.08.02.19.56.07
	(version=TLSv1/SSLv3 cipher=OTHER);
	Thu, 02 Aug 2012 19:56:08 -0700 (PDT)
Received: by pluto.local (Postfix, from userid 501)
	id A77215D9BE80; Thu,  2 Aug 2012 22:56:06 -0400 (EDT)
From: Dave Abrahams <dave@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#12068: 24.1;
	customizing debug-on-error to nil disables --debug-init
References: <m2y5m5cn1x.fsf@HIDDEN>
	<4qr4rox4t5.fsf@HIDDEN> <djy5lwq3f4.fsf@HIDDEN>
Date: Thu, 02 Aug 2012 22:56:06 -0400
In-Reply-To: <djy5lwq3f4.fsf@HIDDEN> (Glenn Morris's message of
	"Thu, 02 Aug 2012 19:28:47 -0400")
Message-ID: <m2ipd08z09.fsf@HIDDEN>
User-Agent: Gnus/5.130006 (Ma Gnus v0.6) Emacs/24.1 (darwin)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Gm-Message-State: ALoCoQmU8XGl898ztlrnNjeq70HGrHKduiKH3w7kmSrdDqkuMkH3lol4s5DVMbXM9r1xWpBDjg2J
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 12068
Cc: 12068 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)


on Thu Aug 02 2012, Glenn Morris <rgm-AT-gnu.org> wrote:

> Maybe you mean, put the error after the customization section.

Yes.

> The custom block does get put at the end of .emacs when first created.

Yes, but once you get into more sophisticated configurations, it's
common to want to do things at init time after the customizations are
known.

> An equivalent scenario would be:
>
> cat ~/.emacs
>
> (setq debug-on-error nil)
> (error "foo")
>
> There's no good solution to that other than "don't do that then".=20

Of course there's a good solution to that...

> Except maybe have a really-debug-on-error variable that overrides
> debug-on-error and is only settable by --debug-init.=20

There you go.  Another possibility is for whatever deals with errors to
check whether we're in initialization, and if so, consult argv for the
presence of "--debug-init" and let that override debug-on-error.  Being
able to reliably debug initialization is really crucial, because if your
init gets messed up, you really can't do anything else.

> But it seems like pointless complexity to me. I assume debug-on-error
> is customizable for people who want to set it non-nil. I can't imagine
> many will customize it to nil.

What do you think people will do when they've set it to non-nil and then
they get annoyed that they're always dropping into the debugger and
really want to turn it back off so it sticks?  That's right, they'll do
what I did: customize it to nil.  I'm not even all that na=C3=AFve a user;
I've done some pretty heavy elisp hacking in my time, and this still
really baffled me for a long time.=20=20

--=20
Dave Abrahams
BoostPro Computing                  Software Development        Training
http://www.boostpro.com             Clang/LLVM/EDG Compilers  C++  Boost




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12068; Package emacs. Full text available.
Added tag(s) wontfix; removed tag(s) unreproducible and moreinfo. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 12068 <at> debbugs.gnu.org:


Received: (at 12068) by debbugs.gnu.org; 2 Aug 2012 23:36:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 02 19:36:23 2012
Received: from localhost ([127.0.0.1]:57709 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Sx4wJ-0002xW-EX
	for submit <at> debbugs.gnu.org; Thu, 02 Aug 2012 19:36:23 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:51040)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1Sx4wH-0002xP-Kg
	for 12068 <at> debbugs.gnu.org; Thu, 02 Aug 2012 19:36:22 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1Sx4oy-0006Yb-2v; Thu, 02 Aug 2012 19:28:48 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Dave Abrahams <dave@HIDDEN>
Subject: Re: bug#12068: 24.1;
	customizing debug-on-error to nil disables --debug-init
References: <m2y5m5cn1x.fsf@HIDDEN>
	<4qr4rox4t5.fsf@HIDDEN>
X-Spook: e-bomb HAMASMOIS Dick Cheney Blowfish Baranyi keyhole
X-Ran: cXHqn]P[lW3NdZRZ_-m.q.5HLVt:>~<'m#2:|G23n<m?K|xa7DuN&&dt#:g{wy|YA\Z,!v
X-Hue: cyan
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 02 Aug 2012 19:28:47 -0400
In-Reply-To: <4qr4rox4t5.fsf@HIDDEN> (Glenn Morris's message of
	"Thu, 02 Aug 2012 19:16:54 -0400")
Message-ID: <djy5lwq3f4.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: 12068
Cc: 12068 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)


Maybe you mean, put the error after the customization section.

The custom block does get put at the end of .emacs when first created.

An equivalent scenario would be:

cat ~/.emacs

(setq debug-on-error nil)
(error "foo")


There's no good solution to that other than "don't do that then". Except
maybe have a really-debug-on-error variable that overrides
debug-on-error and is only settable by --debug-init. But it seems like
pointless complexity to me. I assume debug-on-error is customizable for
people who want to set it non-nil. I can't imagine many will customize
it to nil.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12068; Package emacs. Full text available.
Added tag(s) unreproducible and moreinfo. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 12068 <at> debbugs.gnu.org:


Received: (at 12068) by debbugs.gnu.org; 2 Aug 2012 23:24:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 02 19:24:31 2012
Received: from localhost ([127.0.0.1]:57685 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Sx4ko-0001pt-US
	for submit <at> debbugs.gnu.org; Thu, 02 Aug 2012 19:24:31 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:50866)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1Sx4km-0001pm-FF
	for 12068 <at> debbugs.gnu.org; Thu, 02 Aug 2012 19:24:29 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1Sx4dS-0005tJ-5V; Thu, 02 Aug 2012 19:16:54 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Dave Abrahams <dave@HIDDEN>
Subject: Re: bug#12068: 24.1;
	customizing debug-on-error to nil disables --debug-init
References: <m2y5m5cn1x.fsf@HIDDEN>
X-Spook: codes domestic disruption PET counter terrorism Bruxelles
X-Ran: D0Bkc8\e~$E\0&@gVW=!:bYd:y)6a=Qg|~b<9rHK@A|`ra$Kg<LGWWqaIZY&9p1>gD3y'i
X-Hue: red
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 02 Aug 2012 19:16:54 -0400
In-Reply-To: <m2y5m5cn1x.fsf@HIDDEN> (Dave Abrahams's message
	of "Fri, 27 Jul 2012 10:10:18 -0400")
Message-ID: <4qr4rox4t5.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: 12068
Cc: 12068 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

Dave Abrahams wrote:

> If you happen to customize debug-on-error to nil and save it, and then
> something goes wrong at startup, running emacs with --debug-init has no
> apparent effect and you're stuck (at least, once the customizations have
> been read in). 

I cannot reproduce this, and there is code in startup.el to handle this.

I tried:

cat ~/.emacs

(error "foo")

(custom-set-variables
 ;; custom-set-variables was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(debug-on-error nil))
(custom-set-faces
 ;; custom-set-faces was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 )


If I use:

emacs --debug-init, I end up in the debugger's backtrace buffer.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12068; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Jul 2012 14:17:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 27 10:17:47 2012
Received: from localhost ([127.0.0.1]:44137 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SulMO-00007Z-SE
	for submit <at> debbugs.gnu.org; Fri, 27 Jul 2012 10:17:47 -0400
Received: from eggs.gnu.org ([208.118.235.92]:54462)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dave@HIDDEN>) id 1SulMJ-00007Q-UO
	for submit <at> debbugs.gnu.org; Fri, 27 Jul 2012 10:17:43 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <dave@HIDDEN>) id 1SulFW-0003nb-J3
	for submit <at> debbugs.gnu.org; Fri, 27 Jul 2012 10:10:43 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_HI
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:34074)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <dave@HIDDEN>) id 1SulFW-0003nW-FZ
	for submit <at> debbugs.gnu.org; Fri, 27 Jul 2012 10:10:38 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45912)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <dave@HIDDEN>) id 1SulFO-0000sK-QR
	for bug-gnu-emacs@HIDDEN; Fri, 27 Jul 2012 10:10:38 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <dave@HIDDEN>) id 1SulFF-0003kC-CZ
	for bug-gnu-emacs@HIDDEN; Fri, 27 Jul 2012 10:10:30 -0400
Received: from mail-vb0-f41.google.com ([209.85.212.41]:62258)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <dave@HIDDEN>) id 1SulFF-0003jx-5E
	for bug-gnu-emacs@HIDDEN; Fri, 27 Jul 2012 10:10:21 -0400
Received: by vbkv13 with SMTP id v13so3148579vbk.0
	for <bug-gnu-emacs@HIDDEN>; Fri, 27 Jul 2012 07:10:20 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
	d=google.com; s=20120113;
	h=from:to:subject:date:message-id:mime-version:content-type
	:x-gm-message-state;
	bh=hIi6bM40tLoQNfKAGT7Nf+EtjhLeh/6IQC51Nnjk6b8=;
	b=TtzGzwxVHX6zTW76Cl539mr/dZy5qT1xm4Wp5qugB5S+SvzAz/NCjTrSIS5tDDv4u0
	YRsJ70tWL0YIrueZ6IQtCFIFIgSuGO76v0HQOZm2FbjpNqS6D3llNFV3szDLgBO0yiAT
	MmK/t4Hyk8ndR4yCK1JKyoLVSJqqhP6/DxXBUr8ZCk7sbiv0UWlX3hktWD22KZEPYZw/
	zlJkAFiBlbcK5zVsN71n8WuXqFBBHHrd199q7Nj7KBxJfyreQ392V4vlNSdGp9JSfm1V
	5DjdHmxmt3mRbeg0FLJMUPzGMiTnBuNKqvHuVpLNEJkt8i9g3mfdDXczrESGbkwZOmet
	S4bw==
Received: by 10.52.90.130 with SMTP id bw2mr2145885vdb.131.1343398219768;
	Fri, 27 Jul 2012 07:10:19 -0700 (PDT)
Received: from pluto.luannocracy.com
	(207-172-223-249.c3-0.smr-ubr3.sbo-smr.ma.static.cable.rcn.com.
	[207.172.223.249])
	by mx.google.com with ESMTPS id cz2sm2015078vdb.3.2012.07.27.07.10.17
	(version=TLSv1/SSLv3 cipher=OTHER);
	Fri, 27 Jul 2012 07:10:19 -0700 (PDT)
Received: by pluto.luannocracy.com (Postfix, from userid 501)
	id 3ADE65D1D43E; Fri, 27 Jul 2012 10:10:18 -0400 (EDT)
From: Dave Abrahams <dave@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.1; customizing debug-on-error to nil disables --debug-init
Date: Fri, 27 Jul 2012 10:10:18 -0400
Message-ID: <m2y5m5cn1x.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Gm-Message-State: ALoCoQn6oLGqW8v2dKTx07DQnH20NOd5gPFuNXYu5qToFc5QS+AYakZxzd+OwOfhFN716r6CeOyW
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.2 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.2 (------)


If you happen to customize debug-on-error to nil and save it, and then
something goes wrong at startup, running emacs with --debug-init has no
apparent effect and you're stuck (at least, once the customizations have
been read in).  If debug-on-error is going to be allowed to be
customized, its customization should be overridden during init so that
--debug-init can take effect.


In GNU Emacs 24.1.1 (x86_64-apple-darwin11.4.0, Carbon Version 1.6.0 AppKit 1138.47)
 of 2012-06-27 on pluto.luannocracy.com
Windowing system distributor `Apple Inc.', version 10.7.4
Configured using:
 `configure '--prefix=/opt/local' '--without-x' '--without-dbus'
 '--without-gconf' '--without-libotf' '--without-m17n-flt'
 '--without-gpm' '--infodir' '/opt/local/share/info/emacs24-macport'
 '--with-mac'
 '--enable-mac-app=/opt/local/var/macports/build/_Users_dave_Public_MacPorts_Portfiles_editors_emacs24-macport/emacs24-macport/work/destroot/Applications/MacPorts'
 'CC=/usr/bin/clang' 'CFLAGS=-pipe -O2 -arch x86_64'
 'LDFLAGS=-L/opt/local/lib -Wl,-no_pie -arch x86_64'
 'CPPFLAGS=-I/opt/local/include''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: iso-latin-1-unix
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  pretty-control-l-mode: t
  Info-breadcrumbs-in-mode-line-mode: t
  workgroups-mode: t
  me-minor-mode: t
  show-paren-mode: t
  server-mode: t
  ido-everywhere: t
  global-ede-mode: t
  global-auto-revert-mode: t
  display-time-mode: t
  delete-selection-mode: t
  tooltip-mode: t
  mac-mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x e m a c s - b u <tab> C-a r e p <tab> <return>

Recent messages:
Loading /Users/dave/.emacs.d/el-get/dwamacs/startup/99-sugar.el (source)...
Reset: Workgroups
Switched:  ( -<{ 0: Gnus }>- | 1: zi | 2: clang | 3: training )
Loaded: ~/.emacs.d/workgroups
Per-window-point mode enabled
requested feature color-theme not available
Loading /Users/dave/.emacs.d/el-get/dwamacs/startup/99-sugar.el (source)...done
Loading /Users/dave/.emacs.d/.session...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Loading /Users/dave/.emacs.d/el-get/dwamacs/settings/message-settings.el (source)...done

Load-path shadows:
/Users/dave/.emacs.d/el-get/package/elpa/xml-rpc-1.6.7/xml-rpc hides /Users/dave/.emacs.d/el-get/xml-rpc-el/xml-rpc
/Users/dave/.emacs.d/el-get/package/elpa/weblogger-1.4.3/weblogger hides /Users/dave/.emacs.d/el-get/weblogger-el/weblogger
/Users/dave/.emacs.d/el-get/wl-gravatar/gravatar hides /Users/dave/.emacs.d/el-get/nognus/lisp/gravatar
/Users/dave/.emacs.d/el-get/org-mode/.dir-locals hides /Users/dave/.emacs.d/el-get/nognus/lisp/.dir-locals
/Users/dave/.emacs.d/el-get/org-mode/.dir-locals hides /Users/dave/.emacs.d/el-get/magit/.dir-locals
/Users/dave/.emacs.d/el-get/wl-gravatar/gravatar hides /Users/dave/.emacs.d/el-get/gravatar/gravatar
/Users/dave/.emacs.d/el-get/auto-complete/fuzzy hides /Users/dave/.emacs.d/el-get/fuzzy/fuzzy
/Users/dave/.emacs.d/el-get/auto-complete/popup hides /Users/dave/.emacs.d/el-get/popup/popup
/Users/dave/.emacs.d/el-get/wanderlust/utils/wl-mailto hides /Users/dave/.emacs.d/el-get/wanderlust/site-lisp/wl/wl-mailto
/Users/dave/.emacs.d/el-get/wanderlust/utils/wl-complete hides /Users/dave/.emacs.d/el-get/wanderlust/site-lisp/wl/wl-complete
/Users/dave/.emacs.d/el-get/wanderlust/utils/wl-addrbook hides /Users/dave/.emacs.d/el-get/wanderlust/site-lisp/wl/wl-addrbook
/Users/dave/.emacs.d/el-get/nognus/lisp/utf7 hides /Users/dave/.emacs.d/el-get/wanderlust/site-lisp/wl/utf7
/Users/dave/.emacs.d/el-get/wanderlust/utils/ssl hides /Users/dave/.emacs.d/el-get/wanderlust/site-lisp/wl/ssl
/Users/dave/.emacs.d/el-get/wanderlust/utils/rfc2368 hides /Users/dave/.emacs.d/el-get/wanderlust/site-lisp/wl/rfc2368
/Users/dave/.emacs.d/el-get/wanderlust/utils/im-wl hides /Users/dave/.emacs.d/el-get/wanderlust/site-lisp/wl/im-wl
/Users/dave/.emacs.d/el-get/nognus/lisp/smime hides /Users/dave/.emacs.d/el-get/semi/site-lisp/semi/smime
/Users/dave/.emacs.d/el-get/nognus/lisp/sha1 hides /Users/dave/.emacs.d/el-get/flim/site-lisp/flim/sha1
/Users/dave/.emacs.d/el-get/nognus/lisp/sasl hides /Users/dave/.emacs.d/el-get/flim/site-lisp/flim/sasl
/Users/dave/.emacs.d/el-get/nognus/lisp/sasl-ntlm hides /Users/dave/.emacs.d/el-get/flim/site-lisp/flim/sasl-ntlm
/Users/dave/.emacs.d/el-get/nognus/lisp/sasl-digest hides /Users/dave/.emacs.d/el-get/flim/site-lisp/flim/sasl-digest
/Users/dave/.emacs.d/el-get/nognus/lisp/sasl-cram hides /Users/dave/.emacs.d/el-get/flim/site-lisp/flim/sasl-cram
/Users/dave/.emacs.d/el-get/nognus/lisp/ntlm hides /Users/dave/.emacs.d/el-get/flim/site-lisp/flim/ntlm
/Users/dave/.emacs.d/el-get/nognus/lisp/md4 hides /Users/dave/.emacs.d/el-get/flim/site-lisp/flim/md4
/Users/dave/.emacs.d/el-get/nognus/lisp/hmac-md5 hides /Users/dave/.emacs.d/el-get/flim/site-lisp/flim/hmac-md5
/Users/dave/.emacs.d/el-get/nognus/lisp/hmac-def hides /Users/dave/.emacs.d/el-get/flim/site-lisp/flim/hmac-def
/Users/dave/.emacs.d/el-get/nognus/lisp/hex-util hides /Users/dave/.emacs.d/el-get/flim/site-lisp/flim/hex-util
/Users/dave/.emacs.d/el-get/org-mode/.dir-locals hides /Users/dave/.emacs.d/el-get/el-get/.dir-locals
/Users/dave/.emacs.d/el-get/xcscope/xcscope hides /opt/local/share/emacs/site-lisp/xcscope
/Users/dave/.emacs.d/el-get/cmake-mode/cmake-mode hides /opt/local/share/emacs/site-lisp/cmake-mode
/Users/dave/.emacs.d/el-get/nognus/lisp/password-cache hides /opt/local/share/emacs/24.1/lisp/password-cache
/Users/dave/.emacs.d/el-get/nognus/lisp/md4 hides /opt/local/share/emacs/24.1/lisp/md4
/Users/dave/.emacs.d/el-get/nognus/lisp/hex-util hides /opt/local/share/emacs/24.1/lisp/hex-util
/Users/dave/.emacs.d/el-get/nognus/lisp/format-spec hides /opt/local/share/emacs/24.1/lisp/format-spec
/Users/dave/.emacs.d/el-get/nognus/lisp/color hides /opt/local/share/emacs/24.1/lisp/color
/Users/dave/.emacs.d/el-get/dwamacs/site-lisp/ediff-util hides /opt/local/share/emacs/24.1/lisp/vc/ediff-util
/Users/dave/.emacs.d/el-get/nognus/lisp/dns-mode hides /opt/local/share/emacs/24.1/lisp/textmodes/dns-mode
/Users/dave/.emacs.d/el-get/dwamacs/site-lisp/compile hides /opt/local/share/emacs/24.1/lisp/progmodes/compile
/Users/dave/.emacs.d/el-get/org-mode/lisp/org hides /opt/local/share/emacs/24.1/lisp/org/org
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-xoxo hides /opt/local/share/emacs/24.1/lisp/org/org-xoxo
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-wl hides /opt/local/share/emacs/24.1/lisp/org/org-wl
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-w3m hides /opt/local/share/emacs/24.1/lisp/org/org-w3m
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-vm hides /opt/local/share/emacs/24.1/lisp/org/org-vm
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-timer hides /opt/local/share/emacs/24.1/lisp/org/org-timer
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-taskjuggler hides /opt/local/share/emacs/24.1/lisp/org/org-taskjuggler
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-table hides /opt/local/share/emacs/24.1/lisp/org/org-table
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-src hides /opt/local/share/emacs/24.1/lisp/org/org-src
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-special-blocks hides /opt/local/share/emacs/24.1/lisp/org/org-special-blocks
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-rmail hides /opt/local/share/emacs/24.1/lisp/org/org-rmail
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-remember hides /opt/local/share/emacs/24.1/lisp/org/org-remember
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-publish hides /opt/local/share/emacs/24.1/lisp/org/org-publish
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-protocol hides /opt/local/share/emacs/24.1/lisp/org/org-protocol
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-plot hides /opt/local/share/emacs/24.1/lisp/org/org-plot
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-pcomplete hides /opt/local/share/emacs/24.1/lisp/org/org-pcomplete
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-odt hides /opt/local/share/emacs/24.1/lisp/org/org-odt
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-mouse hides /opt/local/share/emacs/24.1/lisp/org/org-mouse
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-mobile hides /opt/local/share/emacs/24.1/lisp/org/org-mobile
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-mks hides /opt/local/share/emacs/24.1/lisp/org/org-mks
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-mhe hides /opt/local/share/emacs/24.1/lisp/org/org-mhe
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-mew hides /opt/local/share/emacs/24.1/lisp/org/org-mew
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-macs hides /opt/local/share/emacs/24.1/lisp/org/org-macs
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-mac-message hides /opt/local/share/emacs/24.1/lisp/org/org-mac-message
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-lparse hides /opt/local/share/emacs/24.1/lisp/org/org-lparse
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-list hides /opt/local/share/emacs/24.1/lisp/org/org-list
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-latex hides /opt/local/share/emacs/24.1/lisp/org/org-latex
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-jsinfo hides /opt/local/share/emacs/24.1/lisp/org/org-jsinfo
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-irc hides /opt/local/share/emacs/24.1/lisp/org/org-irc
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-install hides /opt/local/share/emacs/24.1/lisp/org/org-install
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-inlinetask hides /opt/local/share/emacs/24.1/lisp/org/org-inlinetask
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-info hides /opt/local/share/emacs/24.1/lisp/org/org-info
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-indent hides /opt/local/share/emacs/24.1/lisp/org/org-indent
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-id hides /opt/local/share/emacs/24.1/lisp/org/org-id
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-icalendar hides /opt/local/share/emacs/24.1/lisp/org/org-icalendar
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-html hides /opt/local/share/emacs/24.1/lisp/org/org-html
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-habit hides /opt/local/share/emacs/24.1/lisp/org/org-habit
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-gnus hides /opt/local/share/emacs/24.1/lisp/org/org-gnus
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-freemind hides /opt/local/share/emacs/24.1/lisp/org/org-freemind
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-footnote hides /opt/local/share/emacs/24.1/lisp/org/org-footnote
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-feed hides /opt/local/share/emacs/24.1/lisp/org/org-feed
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-faces hides /opt/local/share/emacs/24.1/lisp/org/org-faces
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-exp hides /opt/local/share/emacs/24.1/lisp/org/org-exp
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-exp-blocks hides /opt/local/share/emacs/24.1/lisp/org/org-exp-blocks
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-eshell hides /opt/local/share/emacs/24.1/lisp/org/org-eshell
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-entities hides /opt/local/share/emacs/24.1/lisp/org/org-entities
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-docview hides /opt/local/share/emacs/24.1/lisp/org/org-docview
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-docbook hides /opt/local/share/emacs/24.1/lisp/org/org-docbook
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-datetree hides /opt/local/share/emacs/24.1/lisp/org/org-datetree
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-ctags hides /opt/local/share/emacs/24.1/lisp/org/org-ctags
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-crypt hides /opt/local/share/emacs/24.1/lisp/org/org-crypt
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-compat hides /opt/local/share/emacs/24.1/lisp/org/org-compat
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-colview hides /opt/local/share/emacs/24.1/lisp/org/org-colview
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-clock hides /opt/local/share/emacs/24.1/lisp/org/org-clock
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-capture hides /opt/local/share/emacs/24.1/lisp/org/org-capture
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-bibtex hides /opt/local/share/emacs/24.1/lisp/org/org-bibtex
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-beamer hides /opt/local/share/emacs/24.1/lisp/org/org-beamer
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-bbdb hides /opt/local/share/emacs/24.1/lisp/org/org-bbdb
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-attach hides /opt/local/share/emacs/24.1/lisp/org/org-attach
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-ascii hides /opt/local/share/emacs/24.1/lisp/org/org-ascii
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-archive hides /opt/local/share/emacs/24.1/lisp/org/org-archive
/Users/dave/.emacs.d/el-get/org-mode/lisp/org-agenda hides /opt/local/share/emacs/24.1/lisp/org/org-agenda
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob hides /opt/local/share/emacs/24.1/lisp/org/ob
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-tangle hides /opt/local/share/emacs/24.1/lisp/org/ob-tangle
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-table hides /opt/local/share/emacs/24.1/lisp/org/ob-table
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-sqlite hides /opt/local/share/emacs/24.1/lisp/org/ob-sqlite
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-sql hides /opt/local/share/emacs/24.1/lisp/org/ob-sql
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-shen hides /opt/local/share/emacs/24.1/lisp/org/ob-shen
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-sh hides /opt/local/share/emacs/24.1/lisp/org/ob-sh
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-screen hides /opt/local/share/emacs/24.1/lisp/org/ob-screen
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-scheme hides /opt/local/share/emacs/24.1/lisp/org/ob-scheme
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-sass hides /opt/local/share/emacs/24.1/lisp/org/ob-sass
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-ruby hides /opt/local/share/emacs/24.1/lisp/org/ob-ruby
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-ref hides /opt/local/share/emacs/24.1/lisp/org/ob-ref
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-R hides /opt/local/share/emacs/24.1/lisp/org/ob-R
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-python hides /opt/local/share/emacs/24.1/lisp/org/ob-python
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-plantuml hides /opt/local/share/emacs/24.1/lisp/org/ob-plantuml
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-picolisp hides /opt/local/share/emacs/24.1/lisp/org/ob-picolisp
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-perl hides /opt/local/share/emacs/24.1/lisp/org/ob-perl
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-org hides /opt/local/share/emacs/24.1/lisp/org/ob-org
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-octave hides /opt/local/share/emacs/24.1/lisp/org/ob-octave
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-ocaml hides /opt/local/share/emacs/24.1/lisp/org/ob-ocaml
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-mscgen hides /opt/local/share/emacs/24.1/lisp/org/ob-mscgen
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-maxima hides /opt/local/share/emacs/24.1/lisp/org/ob-maxima
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-matlab hides /opt/local/share/emacs/24.1/lisp/org/ob-matlab
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-lob hides /opt/local/share/emacs/24.1/lisp/org/ob-lob
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-lisp hides /opt/local/share/emacs/24.1/lisp/org/ob-lisp
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-lilypond hides /opt/local/share/emacs/24.1/lisp/org/ob-lilypond
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-ledger hides /opt/local/share/emacs/24.1/lisp/org/ob-ledger
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-latex hides /opt/local/share/emacs/24.1/lisp/org/ob-latex
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-keys hides /opt/local/share/emacs/24.1/lisp/org/ob-keys
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-js hides /opt/local/share/emacs/24.1/lisp/org/ob-js
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-java hides /opt/local/share/emacs/24.1/lisp/org/ob-java
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-haskell hides /opt/local/share/emacs/24.1/lisp/org/ob-haskell
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-gnuplot hides /opt/local/share/emacs/24.1/lisp/org/ob-gnuplot
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-fortran hides /opt/local/share/emacs/24.1/lisp/org/ob-fortran
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-exp hides /opt/local/share/emacs/24.1/lisp/org/ob-exp
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-eval hides /opt/local/share/emacs/24.1/lisp/org/ob-eval
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-emacs-lisp hides /opt/local/share/emacs/24.1/lisp/org/ob-emacs-lisp
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-dot hides /opt/local/share/emacs/24.1/lisp/org/ob-dot
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-ditaa hides /opt/local/share/emacs/24.1/lisp/org/ob-ditaa
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-css hides /opt/local/share/emacs/24.1/lisp/org/ob-css
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-comint hides /opt/local/share/emacs/24.1/lisp/org/ob-comint
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-clojure hides /opt/local/share/emacs/24.1/lisp/org/ob-clojure
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-calc hides /opt/local/share/emacs/24.1/lisp/org/ob-calc
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-C hides /opt/local/share/emacs/24.1/lisp/org/ob-C
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-awk hides /opt/local/share/emacs/24.1/lisp/org/ob-awk
/Users/dave/.emacs.d/el-get/org-mode/lisp/ob-asymptote hides /opt/local/share/emacs/24.1/lisp/org/ob-asymptote
/Users/dave/.emacs.d/el-get/tramp/share/emacs/site-lisp/trampver hides /opt/local/share/emacs/24.1/lisp/net/trampver
/Users/dave/.emacs.d/el-get/tramp/share/emacs/site-lisp/tramp hides /opt/local/share/emacs/24.1/lisp/net/tramp
/Users/dave/.emacs.d/el-get/tramp/share/emacs/site-lisp/tramp-uu hides /opt/local/share/emacs/24.1/lisp/net/tramp-uu
/Users/dave/.emacs.d/el-get/tramp/share/emacs/site-lisp/tramp-smb hides /opt/local/share/emacs/24.1/lisp/net/tramp-smb
/Users/dave/.emacs.d/el-get/tramp/share/emacs/site-lisp/tramp-sh hides /opt/local/share/emacs/24.1/lisp/net/tramp-sh
/Users/dave/.emacs.d/el-get/tramp/share/emacs/site-lisp/tramp-loaddefs hides /opt/local/share/emacs/24.1/lisp/net/tramp-loaddefs
/Users/dave/.emacs.d/el-get/tramp/share/emacs/site-lisp/tramp-gw hides /opt/local/share/emacs/24.1/lisp/net/tramp-gw
/Users/dave/.emacs.d/el-get/tramp/share/emacs/site-lisp/tramp-ftp hides /opt/local/share/emacs/24.1/lisp/net/tramp-ftp
/Users/dave/.emacs.d/el-get/tramp/share/emacs/site-lisp/tramp-compat hides /opt/local/share/emacs/24.1/lisp/net/tramp-compat
/Users/dave/.emacs.d/el-get/tramp/share/emacs/site-lisp/tramp-cmds hides /opt/local/share/emacs/24.1/lisp/net/tramp-cmds
/Users/dave/.emacs.d/el-get/tramp/share/emacs/site-lisp/tramp-cache hides /opt/local/share/emacs/24.1/lisp/net/tramp-cache
/Users/dave/.emacs.d/el-get/nognus/lisp/tls hides /opt/local/share/emacs/24.1/lisp/net/tls
/Users/dave/.emacs.d/el-get/nognus/lisp/sasl hides /opt/local/share/emacs/24.1/lisp/net/sasl
/Users/dave/.emacs.d/el-get/nognus/lisp/sasl-ntlm hides /opt/local/share/emacs/24.1/lisp/net/sasl-ntlm
/Users/dave/.emacs.d/el-get/nognus/lisp/sasl-digest hides /opt/local/share/emacs/24.1/lisp/net/sasl-digest
/Users/dave/.emacs.d/el-get/nognus/lisp/sasl-cram hides /opt/local/share/emacs/24.1/lisp/net/sasl-cram
/Users/dave/.emacs.d/el-get/nognus/lisp/ntlm hides /opt/local/share/emacs/24.1/lisp/net/ntlm
/Users/dave/.emacs.d/el-get/nognus/lisp/netrc hides /opt/local/share/emacs/24.1/lisp/net/netrc
/Users/dave/.emacs.d/el-get/nognus/lisp/hmac-md5 hides /opt/local/share/emacs/24.1/lisp/net/hmac-md5
/Users/dave/.emacs.d/el-get/nognus/lisp/hmac-def hides /opt/local/share/emacs/24.1/lisp/net/hmac-def
/Users/dave/.emacs.d/el-get/nognus/lisp/dns hides /opt/local/share/emacs/24.1/lisp/net/dns
/Users/dave/.emacs.d/el-get/nognus/lisp/dig hides /opt/local/share/emacs/24.1/lisp/net/dig
/Users/dave/.emacs.d/el-get/nognus/lisp/uudecode hides /opt/local/share/emacs/24.1/lisp/mail/uudecode
/Users/dave/.emacs.d/el-get/wanderlust/utils/rfc2368 hides /opt/local/share/emacs/24.1/lisp/mail/rfc2368
/Users/dave/.emacs.d/el-get/nognus/lisp/hashcash hides /opt/local/share/emacs/24.1/lisp/mail/hashcash
/Users/dave/.emacs.d/el-get/nognus/lisp/binhex hides /opt/local/share/emacs/24.1/lisp/mail/binhex
/Users/dave/.emacs.d/el-get/nognus/lisp/yenc hides /opt/local/share/emacs/24.1/lisp/gnus/yenc
/Users/dave/.emacs.d/el-get/nognus/lisp/utf7 hides /opt/local/share/emacs/24.1/lisp/gnus/utf7
/Users/dave/.emacs.d/el-get/nognus/lisp/starttls hides /opt/local/share/emacs/24.1/lisp/gnus/starttls
/Users/dave/.emacs.d/el-get/nognus/lisp/spam hides /opt/local/share/emacs/24.1/lisp/gnus/spam
/Users/dave/.emacs.d/el-get/nognus/lisp/spam-wash hides /opt/local/share/emacs/24.1/lisp/gnus/spam-wash
/Users/dave/.emacs.d/el-get/nognus/lisp/spam-stat hides /opt/local/share/emacs/24.1/lisp/gnus/spam-stat
/Users/dave/.emacs.d/el-get/nognus/lisp/spam-report hides /opt/local/share/emacs/24.1/lisp/gnus/spam-report
/Users/dave/.emacs.d/el-get/nognus/lisp/smime hides /opt/local/share/emacs/24.1/lisp/gnus/smime
/Users/dave/.emacs.d/el-get/nognus/lisp/smiley hides /opt/local/share/emacs/24.1/lisp/gnus/smiley
/Users/dave/.emacs.d/el-get/nognus/lisp/sieve hides /opt/local/share/emacs/24.1/lisp/gnus/sieve
/Users/dave/.emacs.d/el-get/nognus/lisp/sieve-mode hides /opt/local/share/emacs/24.1/lisp/gnus/sieve-mode
/Users/dave/.emacs.d/el-get/nognus/lisp/sieve-manage hides /opt/local/share/emacs/24.1/lisp/gnus/sieve-manage
/Users/dave/.emacs.d/el-get/nognus/lisp/shr hides /opt/local/share/emacs/24.1/lisp/gnus/shr
/Users/dave/.emacs.d/el-get/nognus/lisp/shr-color hides /opt/local/share/emacs/24.1/lisp/gnus/shr-color
/Users/dave/.emacs.d/el-get/nognus/lisp/score-mode hides /opt/local/share/emacs/24.1/lisp/gnus/score-mode
/Users/dave/.emacs.d/el-get/nognus/lisp/rtree hides /opt/local/share/emacs/24.1/lisp/gnus/rtree
/Users/dave/.emacs.d/el-get/nognus/lisp/rfc2231 hides /opt/local/share/emacs/24.1/lisp/gnus/rfc2231
/Users/dave/.emacs.d/el-get/nognus/lisp/rfc2104 hides /opt/local/share/emacs/24.1/lisp/gnus/rfc2104
/Users/dave/.emacs.d/el-get/nognus/lisp/rfc2047 hides /opt/local/share/emacs/24.1/lisp/gnus/rfc2047
/Users/dave/.emacs.d/el-get/nognus/lisp/rfc2045 hides /opt/local/share/emacs/24.1/lisp/gnus/rfc2045
/Users/dave/.emacs.d/el-get/nognus/lisp/rfc1843 hides /opt/local/share/emacs/24.1/lisp/gnus/rfc1843
/Users/dave/.emacs.d/el-get/nognus/lisp/registry hides /opt/local/share/emacs/24.1/lisp/gnus/registry
/Users/dave/.emacs.d/el-get/nognus/lisp/qp hides /opt/local/share/emacs/24.1/lisp/gnus/qp
/Users/dave/.emacs.d/el-get/nognus/lisp/pop3 hides /opt/local/share/emacs/24.1/lisp/gnus/pop3
/Users/dave/.emacs.d/el-get/nognus/lisp/plstore hides /opt/local/share/emacs/24.1/lisp/gnus/plstore
/Users/dave/.emacs.d/el-get/nognus/lisp/nnweb hides /opt/local/share/emacs/24.1/lisp/gnus/nnweb
/Users/dave/.emacs.d/el-get/nognus/lisp/nnvirtual hides /opt/local/share/emacs/24.1/lisp/gnus/nnvirtual
/Users/dave/.emacs.d/el-get/nognus/lisp/nntp hides /opt/local/share/emacs/24.1/lisp/gnus/nntp
/Users/dave/.emacs.d/el-get/nognus/lisp/nnspool hides /opt/local/share/emacs/24.1/lisp/gnus/nnspool
/Users/dave/.emacs.d/el-get/nognus/lisp/nnrss hides /opt/local/share/emacs/24.1/lisp/gnus/nnrss
/Users/dave/.emacs.d/el-get/nognus/lisp/nnregistry hides /opt/local/share/emacs/24.1/lisp/gnus/nnregistry
/Users/dave/.emacs.d/el-get/nognus/lisp/nnoo hides /opt/local/share/emacs/24.1/lisp/gnus/nnoo
/Users/dave/.emacs.d/el-get/nognus/lisp/nnnil hides /opt/local/share/emacs/24.1/lisp/gnus/nnnil
/Users/dave/.emacs.d/el-get/nognus/lisp/nnml hides /opt/local/share/emacs/24.1/lisp/gnus/nnml
/Users/dave/.emacs.d/el-get/nognus/lisp/nnmh hides /opt/local/share/emacs/24.1/lisp/gnus/nnmh
/Users/dave/.emacs.d/el-get/nognus/lisp/nnmbox hides /opt/local/share/emacs/24.1/lisp/gnus/nnmbox
/Users/dave/.emacs.d/el-get/nognus/lisp/nnmairix hides /opt/local/share/emacs/24.1/lisp/gnus/nnmairix
/Users/dave/.emacs.d/el-get/nognus/lisp/nnmaildir hides /opt/local/share/emacs/24.1/lisp/gnus/nnmaildir
/Users/dave/.emacs.d/el-get/nognus/lisp/nnmail hides /opt/local/share/emacs/24.1/lisp/gnus/nnmail
/Users/dave/.emacs.d/el-get/nognus/lisp/nnir hides /opt/local/share/emacs/24.1/lisp/gnus/nnir
/Users/dave/.emacs.d/el-get/nognus/lisp/nnimap hides /opt/local/share/emacs/24.1/lisp/gnus/nnimap
/Users/dave/.emacs.d/el-get/nognus/lisp/nnheader hides /opt/local/share/emacs/24.1/lisp/gnus/nnheader
/Users/dave/.emacs.d/el-get/nognus/lisp/nngateway hides /opt/local/share/emacs/24.1/lisp/gnus/nngateway
/Users/dave/.emacs.d/el-get/nognus/lisp/nnfolder hides /opt/local/share/emacs/24.1/lisp/gnus/nnfolder
/Users/dave/.emacs.d/el-get/nognus/lisp/nneething hides /opt/local/share/emacs/24.1/lisp/gnus/nneething
/Users/dave/.emacs.d/el-get/nognus/lisp/nndraft hides /opt/local/share/emacs/24.1/lisp/gnus/nndraft
/Users/dave/.emacs.d/el-get/nognus/lisp/nndoc hides /opt/local/share/emacs/24.1/lisp/gnus/nndoc
/Users/dave/.emacs.d/el-get/nognus/lisp/nndir hides /opt/local/share/emacs/24.1/lisp/gnus/nndir
/Users/dave/.emacs.d/el-get/nognus/lisp/nndiary hides /opt/local/share/emacs/24.1/lisp/gnus/nndiary
/Users/dave/.emacs.d/el-get/nognus/lisp/nnbabyl hides /opt/local/share/emacs/24.1/lisp/gnus/nnbabyl
/Users/dave/.emacs.d/el-get/nognus/lisp/nnagent hides /opt/local/share/emacs/24.1/lisp/gnus/nnagent
/Users/dave/.emacs.d/el-get/nognus/lisp/mml2015 hides /opt/local/share/emacs/24.1/lisp/gnus/mml2015
/Users/dave/.emacs.d/el-get/nognus/lisp/mml1991 hides /opt/local/share/emacs/24.1/lisp/gnus/mml1991
/Users/dave/.emacs.d/el-get/nognus/lisp/mml hides /opt/local/share/emacs/24.1/lisp/gnus/mml
/Users/dave/.emacs.d/el-get/nognus/lisp/mml-smime hides /opt/local/share/emacs/24.1/lisp/gnus/mml-smime
/Users/dave/.emacs.d/el-get/nognus/lisp/mml-sec hides /opt/local/share/emacs/24.1/lisp/gnus/mml-sec
/Users/dave/.emacs.d/el-get/nognus/lisp/mm-view hides /opt/local/share/emacs/24.1/lisp/gnus/mm-view
/Users/dave/.emacs.d/el-get/nognus/lisp/mm-uu hides /opt/local/share/emacs/24.1/lisp/gnus/mm-uu
/Users/dave/.emacs.d/el-get/nognus/lisp/mm-util hides /opt/local/share/emacs/24.1/lisp/gnus/mm-util
/Users/dave/.emacs.d/el-get/nognus/lisp/mm-url hides /opt/local/share/emacs/24.1/lisp/gnus/mm-url
/Users/dave/.emacs.d/el-get/nognus/lisp/mm-partial hides /opt/local/share/emacs/24.1/lisp/gnus/mm-partial
/Users/dave/.emacs.d/el-get/nognus/lisp/mm-extern hides /opt/local/share/emacs/24.1/lisp/gnus/mm-extern
/Users/dave/.emacs.d/el-get/nognus/lisp/mm-encode hides /opt/local/share/emacs/24.1/lisp/gnus/mm-encode
/Users/dave/.emacs.d/el-get/nognus/lisp/mm-decode hides /opt/local/share/emacs/24.1/lisp/gnus/mm-decode
/Users/dave/.emacs.d/el-get/nognus/lisp/mm-bodies hides /opt/local/share/emacs/24.1/lisp/gnus/mm-bodies
/Users/dave/.emacs.d/el-get/nognus/lisp/messcompat hides /opt/local/share/emacs/24.1/lisp/gnus/messcompat
/Users/dave/.emacs.d/el-get/nognus/lisp/message hides /opt/local/share/emacs/24.1/lisp/gnus/message
/Users/dave/.emacs.d/el-get/nognus/lisp/mailcap hides /opt/local/share/emacs/24.1/lisp/gnus/mailcap
/Users/dave/.emacs.d/el-get/nognus/lisp/mail-source hides /opt/local/share/emacs/24.1/lisp/gnus/mail-source
/Users/dave/.emacs.d/el-get/nognus/lisp/mail-prsvr hides /opt/local/share/emacs/24.1/lisp/gnus/mail-prsvr
/Users/dave/.emacs.d/el-get/nognus/lisp/mail-parse hides /opt/local/share/emacs/24.1/lisp/gnus/mail-parse
/Users/dave/.emacs.d/el-get/nognus/lisp/legacy-gnus-agent hides /opt/local/share/emacs/24.1/lisp/gnus/legacy-gnus-agent
/Users/dave/.emacs.d/el-get/nognus/lisp/ietf-drums hides /opt/local/share/emacs/24.1/lisp/gnus/ietf-drums
/Users/dave/.emacs.d/el-get/nognus/lisp/html2text hides /opt/local/share/emacs/24.1/lisp/gnus/html2text
/Users/dave/.emacs.d/el-get/nognus/lisp/gssapi hides /opt/local/share/emacs/24.1/lisp/gnus/gssapi
/Users/dave/.emacs.d/el-get/wl-gravatar/gravatar hides /opt/local/share/emacs/24.1/lisp/gnus/gravatar
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus hides /opt/local/share/emacs/24.1/lisp/gnus/gnus
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-win hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-win
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-vm hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-vm
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-uu hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-uu
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-util hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-util
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-undo hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-undo
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-topic hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-topic
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-sync hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-sync
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-sum hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-sum
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-start hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-start
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-srvr hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-srvr
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-spec hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-spec
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-sieve hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-sieve
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-setup hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-setup
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-score hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-score
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-salt hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-salt
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-registry hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-registry
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-range hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-range
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-picon hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-picon
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-msg hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-msg
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-mlspl hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-mlspl
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-ml hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-ml
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-mh hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-mh
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-logic hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-logic
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-kill hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-kill
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-int hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-int
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-html hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-html
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-group hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-group
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-gravatar hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-gravatar
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-fun hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-fun
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-ems hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-ems
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-eform hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-eform
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-dup hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-dup
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-draft hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-draft
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-dired hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-dired
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-diary hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-diary
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-demon hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-demon
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-delay hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-delay
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-cus hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-cus
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-cite hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-cite
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-cache hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-cache
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-bookmark hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-bookmark
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-bcklg hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-bcklg
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-async hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-async
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-art hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-art
/Users/dave/.emacs.d/el-get/nognus/lisp/gnus-agent hides /opt/local/share/emacs/24.1/lisp/gnus/gnus-agent
/Users/dave/.emacs.d/el-get/nognus/lisp/gmm-utils hides /opt/local/share/emacs/24.1/lisp/gnus/gmm-utils
/Users/dave/.emacs.d/el-get/nognus/lisp/flow-fill hides /opt/local/share/emacs/24.1/lisp/gnus/flow-fill
/Users/dave/.emacs.d/el-get/nognus/lisp/ecomplete hides /opt/local/share/emacs/24.1/lisp/gnus/ecomplete
/Users/dave/.emacs.d/el-get/nognus/lisp/deuglify hides /opt/local/share/emacs/24.1/lisp/gnus/deuglify
/Users/dave/.emacs.d/el-get/nognus/lisp/compface hides /opt/local/share/emacs/24.1/lisp/gnus/compface
/Users/dave/.emacs.d/el-get/nognus/lisp/canlock hides /opt/local/share/emacs/24.1/lisp/gnus/canlock
/Users/dave/.emacs.d/el-get/nognus/lisp/auth-source hides /opt/local/share/emacs/24.1/lisp/gnus/auth-source
/Users/dave/.emacs.d/el-get/org-mode/.dir-locals hides /opt/local/share/emacs/24.1/lisp/gnus/.dir-locals
/Users/dave/.emacs.d/el-get/dwamacs/site-lisp/ert hides /opt/local/share/emacs/24.1/lisp/emacs-lisp/ert
/Users/dave/.emacs.d/el-get/dwamacs/site-lisp/ert-x hides /opt/local/share/emacs/24.1/lisp/emacs-lisp/ert-x
/Users/dave/.emacs.d/el-get/nognus/lisp/time-date hides /opt/local/share/emacs/24.1/lisp/calendar/time-date
/Users/dave/.emacs.d/el-get/nognus/lisp/parse-time hides /opt/local/share/emacs/24.1/lisp/calendar/parse-time
/Users/dave/.emacs.d/el-get/semi/site-lisp/semi/pgg hides /opt/local/share/emacs/24.1/lisp/obsolete/pgg
/Users/dave/.emacs.d/el-get/semi/site-lisp/semi/pgg-pgp5 hides /opt/local/share/emacs/24.1/lisp/obsolete/pgg-pgp5
/Users/dave/.emacs.d/el-get/semi/site-lisp/semi/pgg-pgp hides /opt/local/share/emacs/24.1/lisp/obsolete/pgg-pgp
/Users/dave/.emacs.d/el-get/semi/site-lisp/semi/pgg-parse hides /opt/local/share/emacs/24.1/lisp/obsolete/pgg-parse
/Users/dave/.emacs.d/el-get/semi/site-lisp/semi/pgg-gpg hides /opt/local/share/emacs/24.1/lisp/obsolete/pgg-gpg
/Users/dave/.emacs.d/el-get/semi/site-lisp/semi/pgg-def hides /opt/local/share/emacs/24.1/lisp/obsolete/pgg-def

Features:
(shadow sort gnus-util mail-extr emacsbug message idna format-spec
rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils company-autoloads weblogger-autoloads
xml-rpc-autoloads maxframe session per-window-point page-ext disp-table
pp-c-l ws-trim ffap info+ fit-frame strings misc-fns thingatpt+
osx-plist xml dot-passwd-el .loaddefs xcscope workgroups php-mode
add-log etags cc-langs org-install gnus-load mo-git-blame
eproject-extras ibuf-macs ibuf-ext ibuffer iswitchb eproject ring
esh-var esh-io esh-cmd esh-ext esh-proc esh-arg eldoc esh-groups eshell
esh-module esh-mode esh-util edg cc-mode cc-fonts cc-guess cc-menus
cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs yasnippet
dropdown-list derived edmacro kmacro initsplit warnings advice
advice-preload cus-edit find-func diminish cmake-mode thingatpt el-get
el-get-autoloads el-get-list-packages el-get-notify help-mode view
el-get-dependencies el-get-build el-get-status pp el-get-recipes
el-get-byte-compile el-get-methods el-get-fossil el-get-svn
el-get-pacman el-get-github-zip el-get-github-tar el-get-http-zip
el-get-http-tar el-get-hg el-get-git-svn el-get-fink el-get-emacswiki
el-get-http el-get-emacsmirror el-get-github el-get-git el-get-elpa
package tabulated-list el-get-darcs el-get-cvs el-get-bzr el-get-brew
el-get-builtin el-get-apt-get el-get-custom el-get-core autoload
help-fns cl dired-x dired regexp-opt easy-mmode jka-compr info ede/linux
ede/emacs ede/cpp-root paren server ido ede/speedbar ede/files ede
ede/base ede/auto ede/source eieio-base eieio-speedbar speedbar sb-image
ezimage dframe easymenu assoc eieio-custom wid-edit eieio byte-opt
bytecomp byte-compile cconv macroexp cedet autorevert time delsel
cus-start cus-load elhome time-date tooltip ediff-hook vc-hooks
lisp-float-type mwheel mac-win tool-bar dnd fontset image fringe
lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote mac multi-tty make-network-process
emacs)

-- 
Dave Abrahams
BoostPro Computing                  Software Development        Training
http://www.boostpro.com             Clang/LLVM/EDG Compilers  C++  Boost





Acknowledgement sent to Dave Abrahams <dave@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#12068; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.